Configures all face-specific options: face detection, mesh analysis, age, gender, emotion detection and face description

### Hierarchy

- GenericConfig
  - FaceConfig

## Index

### Properties

- antispoof
- description
- detector
- emotion
- enabled
- iris
- liveness
- mesh
- modelPath
- skipFrames
- skipTime

## Properties

### antispoof

antispoof: Partial<FaceAntiSpoofConfig>

- Defined in src/config.ts:71

### description

description: Partial<FaceDescriptionConfig>

- Defined in src/config.ts:69

### detector

detector: Partial<FaceDetectorConfig>

- Defined in src/config.ts:66

### emotion

emotion: Partial<FaceEmotionConfig>

- Defined in src/config.ts:70

### enabled

enabled: boolean

Inherited from GenericConfig.enabled

- Defined in src/config.ts:7

is module enabled?

### iris

iris: Partial<FaceIrisConfig>

- Defined in src/config.ts:68

### liveness

liveness: Partial<FaceLivenessConfig>

- Defined in src/config.ts:72

### mesh

mesh: Partial<FaceMeshConfig>

- Defined in src/config.ts:67

### modelPath

modelPath: string

Inherited from GenericConfig.modelPath

- Defined in src/config.ts:9

path to model json file

### skipFrames

skipFrames: number

Inherited from GenericConfig.skipFrames

- Defined in src/config.ts:11

how many max frames to go without re-running model if cached results are acceptable

### skipTime

skipTime: number

Inherited from GenericConfig.skipTime

- Defined in src/config.ts:13

how many max miliseconds to go without re-running model if cached results are acceptable